<!-- ‰ñ“] -->

<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">
	<repeat>
		<times>55</times>
		<action>

			<fire>
				<direction type="absolute">90</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

			<fire>
				<direction type="absolute">-90</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

			<fire>
				<direction type="absolute">0</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

			<fire>
				<direction type="absolute">180</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

		</action>
		<wait>2</wait>
	</repeat>

	<repeat>
		<times>135</times>
		<action>

			<fire>
				<direction type="sequence">1</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

			<fire>
				<direction type="sequence">90</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

			<fire>
				<direction type="sequence">90</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

			<fire>
				<direction type="sequence">90</direction>
				<speed>3.0</speed>
				<bulletRef label="down">
				</bulletRef>
			</fire>

		</action>
		<wait>2</wait>
	</repeat>

	<fire>
		<direction type="sequence">1</direction>
		<speed>3.0</speed>
		<bulletRef label="slow">
		</bulletRef>
	</fire>

	<fire>
		<direction type="sequence">90</direction>
		<speed>3.0</speed>
		<bulletRef label="slow">
		</bulletRef>
	</fire>

	<fire>
		<direction type="sequence">90</direction>
		<speed>3.0</speed>
		<bulletRef label="slow">
		</bulletRef>
	</fire>

	<fire>
		<direction type="sequence">90</direction>
		<speed>3.0</speed>
		<bulletRef label="slow">
		</bulletRef>
	</fire>



	<vanish/>

</action>


<bullet label="down">
	<action>
	</action>
</bullet>

<bullet label="slow">
	<action>
		<repeat>
			<times>999</times>

			<action>
				<wait>8</wait>

				<fire>
					<direction type="aim">$rand * 4.0 - 2.0</direction>
					<speed>0.05</speed>
					<bulletRef label="acc"></bulletRef>
				</fire>

			</action>

		</repeat>
	</action>
</bullet>

<bullet label="acc">
	<action>
		<wait>200</wait>

		<changeSpeed>
			<speed>2.5 + $rank</speed>
			<term>150</term>
		</changeSpeed>

	</action>
</bullet>




</bulletml>
